#ifndef __IUF_FRAGMENT
#define __IUF_FRAGMENT
/** This class represent a small flying fragment.
It is used to show fragments in explosions, it is just a simple triangle;
Version History {\small 
\begin{itemize}
\item 0.4s First release.
\end{itemize}
}*/

class Fragment : public GameObjTimed
{
 	enum{StdTTL=2000};
	public:
	/// Minimal Constructor 
	Fragment(){c=Point3f(1,1,1); ttl=StdTTL;};
	
	/// Minimal Constructor with color specification.
	Fragment(Point3f C){c=C;ttl=StdTTL;};
	
	/** This function draw a single Fragment.
  Just a single triangle white or with the specified color..
	*/
	int Draw();
	
	/** The color of the fragment */
	Point3f c;
};
#endif